<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <TargetFramework>net7.0</TargetFramework>
    <ImplicitUsings>enable</ImplicitUsings>
    <Nullable>enable</Nullable>
    <PackageId>UserManager.Application</PackageId>
    <Version>1.0.0</Version>
    <Authors>Digital Data GmbH</Authors>
    <Company>Digital Data GmbH</Company>
    <Product>UserManager.Application</Product>
    <Description>This package provides essential tools for managing user information and permissions. It offers comprehensive CRUD operations for user data and includes features for managing user roles and authentication.</Description>
    <Copyright>Copyright 2024</Copyright>
    <PackageIcon>icon.png</PackageIcon>
    <RepositoryUrl>http://git.dd:3000/AppStd/WebUserManager.git</RepositoryUrl>
    <PackageTags>digital data application user maanger</PackageTags>
  </PropertyGroup>

  <ItemGroup>
    <None Include="..\DigitalData.UserManager.Domain\Assets\icon.png">
      <Pack>True</Pack>
      <PackagePath>\</PackagePath>
    </None>
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="AutoMapper" Version="13.0.1" />
    <PackageReference Include="DigitalData.Core.Application" Version="2.0.0" />
    <PackageReference Include="DigitalData.EmailProfilerDispatcher.Abstraction" Version="2.0.0" />
    <PackageReference Include="Microsoft.Extensions.Localization.Abstractions" Version="7.0.16" />
    <PackageReference Include="Microsoft.Extensions.Options.ConfigurationExtensions" Version="7.0.0" />
    <PackageReference Include="System.DirectoryServices" Version="7.0.1" />
    <PackageReference Include="System.DirectoryServices.AccountManagement" Version="7.0.1" />
    <PackageReference Include="System.DirectoryServices.Protocols" Version="7.0.1" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\DigitalData.UserManager.Domain\DigitalData.UserManager.Domain.csproj" />
    <ProjectReference Include="..\DigitalData.UserManager.Infrastructure\DigitalData.UserManager.Infrastructure.csproj" />
  </ItemGroup>

  <ItemGroup>
    <None Update="Assets\icon.png">
      <Pack>True</Pack>
      <PackagePath>\</PackagePath>
    </None>
  </ItemGroup>

</Project>
